# Freeze Sell

Freeze funds, generally used with proxy, send the inscription to zero address, or platform address.

<table><thead><tr><th width="101.33333333333331">Key</th><th width="126">Required</th><th>Description</th></tr></thead><tbody><tr><td>p</td><td>yes</td><td>protocol name，ierc-20, there is no difference between the two.</td></tr><tr><td>op</td><td>yes</td><td>proxy_transfer</td></tr><tr><td>freeze</td><td>yes</td><td>array object, Agent information.</td></tr></tbody></table>

For example:

```
// The buyer is buying and the seller's token is frozen;  send x eth from self to 0x0000000000000000000000000000000000000000 or 0x33302dbff493ed81ba2e7e35e2e8e833db023333 or platform address
{
  "p": "ierc-20",
  "op": "freeze_sell",
  "freeze": [
    {
      "tick": "ethi", // Seller Signature Information
      "nonce": (+new Date()).toString(), // Seller Signature Information
      "platform": "0x33302dbff493ed81ba2e7e35e2e8e833db023333", // Seller signature information: corresponding platform
      "seller": "0x22222222222222222222222222222222222222222222", // Freeze the corresponding seller
      "amt": "333", // Seller Signature Information
      "value": "0.001", // Seller Signature Information
      "gasPrice": "33988168450", // gasPrice
      "sign": sign // The seller authorizes the signature to verify the use
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ierc20.com/devs/ierc-20/freeze-sell.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
